0.219 2020-02-29
----------------


MAME Testers Bugs Fixed
-----------------------
- 06790: [Graphics] (surpratk.cpp) suratk: Missing star field rotation effect in final level [MetalliC].
- 07079: [Gameplay] (suna8.cpp) sparkman, sparkmana: Player 2 button inputs are not read correctly. (dink)
- 07428: [Media Support] (vsmileb.cpp) vsmileb: Unable to load media [Ivan Vangelista].
- 07557: [DIP/Input] (karnov.cpp) wndrplnt: Coin inputs no longer work [MetalliC].
- 07562: [Graphics] (seibuspi.cpp) rdft: Line scroll effects have regressed [MetalliC].


New working machines
--------------------
Advance Bright Ltd / V-Tac Technology Co Ltd. Decathlon [Sean Riddle, ClawGrip]
Bandai / SSD Company LTD Mahou Taiketsu Magiranger - Magimat de Dance & Battle (Japan) [Sean Riddle, Peter Wilhelmsen, David Haywood, ShouTime]
Conny / VideoJet Teenage Mutant Ninja Turtles - Pocket Dream Console (France) [TeamEurope, David Haywood]
Consumenta Computer / Loproc Conchess (standard) [hap, Berger]
Game & Watch: Pinball [algestam, Ryan Holtz]
Hasbro / Tiger Electronics Dream Life Superstar (Version 0.3, Mar 16 2007) [Sean Riddle, David Haywood, Ryan Holtz]
Hasbro / Tiger Electronics Mission: Paintball Powered Up [Sean Riddle, David Haywood]
Hasbro / Tiger Electronics Star Wars - The Clone Wars [Sean Riddle, David Haywood]
Hasbro Designer's World (Version 1.0, Dec 20 2005) [Sean Riddle, David Haywood, Ryan Holtz]
Hegener + Glaser Mephisto 1X [Berger, blitzchess.fr]
HP 86B [F.Ulivi]
Merry Circus (Version 1.0.2) [Ioannis Bampoulas]
MGT 20-in-1 TV-Spielekonsole (Germany) [TeamEurope, David Haywood]
Mortal Kombat (JAKKS Pacific TV Game) [Sean Riddle]
Performance Designed Products / Disney / Jungle Soft Disney Game It! Classic Pals [Sean Riddle, David Haywood]
Plug & Play Game Controller with 200 Games (Supreme 200) [TeamEurope]
Retro Dance Mat (110 song Super StepMania + 9-in-1 games) (PAL) [TeamEurope, David Haywood]
Senario / V-Tac Technology Co Ltd. My Sports Challenge (5-in-1 version) [Sean Riddle, David Haywood, Ryan Holtz]
Senario / V-Tac Technology Co Ltd. My Sports Challenge (6-in-1 version, QVC license) [Sean Riddle, David Haywood, Ryan Holtz]
Senario / V-Tac Technology Co Ltd. My Sports Challenge Plus / Wireless Sports Plus [Sean Riddle, David Haywood]
Senario Guitar Super Star (Fender Stratocaster style) [Sean Riddle, David Haywood]
Shiggles Inc. Club Jenna Presents: Jenna Jameson's Strip Poker [Sean Riddle, David Haywood, Ryan Holtz]
Sports Trivia Professional Edition (Senario, Plug and Play) [Sean Riddle, David Haywood]
TaiKee Interactive TV Games 49-in-1 (PAL) [TeamEurope, David Haywood]
Tech2Go / WayForward Teenage Mutant Ninja Turtles: Mutant and Monster Mayhem [Sean Riddle, David Haywood]
Tomy / SSD Company LTD Champiyon Pinball (Japan) [Sean Riddle, Peter Wilhelmsen, ShouTime, David Haywood]


New working clones
------------------
Albert Computers, Inc. Albert [rfka01]
ASEM S.p.A. AM100 [rfka01]
Ataque Androide - Moon Cresta (FAR S.A. Spanish bootleg) [Juan Romero, ClawGrip]
Battle Balls (Portugal) [Apocalypse]
Blood Bros. (Korea) [Jorge Silva]
Dharma Doujou (Germany) [Darksoft]
Double Wings (Asia) [Asayuki, pacman70]
The End (SegaSA / Sonic) [jordigahan, ClawGrip]
El Estivador (Spanish bootleg of Port Man on Galaxian hardware) [Juan Romero, ClawGrip]
Final Star Force (World?) [Jorge Silva]
Galaktron (Petaco S.A.) [Juan Romero, ClawGrip]
Galaxian (Spanish bootleg) [Juan Romero, ClawGrip]
GTAC Do-Do [R. Belmont, rfka01]
Hegener + Glaser Mephisto Academy (German, 04-10-88) [hap]
Hegener + Glaser Mephisto Academy (German, 06-03-89) [hap]
Hegener + Glaser Mephisto Berlin 68000 (v0.02) [hap]
Hegener + Glaser Mephisto Blitz- und Problemloesungs-Modul (set 2) [hap]
Hegener + Glaser Mephisto Genius 68030 (v4.00) [hap]
Hegener + Glaser Mephisto II (set 2) [Berger]
Hegener + Glaser Mephisto MM II (set 2, v4.00 2 EPROMs) [hap]
Hegener + Glaser Mephisto MM II (set 3, v3.00) [hap]
Hegener + Glaser Mephisto MM II (set 4) [hap]
Hegener + Glaser Mephisto MM II (set 5) [hap]
Hegener + Glaser Mephisto MM IV (v6.00) [hap]
Hegener + Glaser Mephisto MM IV (v7.00) [hap]
Hegener + Glaser Mephisto MM V (set 2) [hap]
Hegener + Glaser Mephisto Mega IV (set 2) [hap]
Hegener + Glaser Mephisto Milano (v1.01) [hap]
Hegener + Glaser Mephisto Modena (set 2) [hap]
Hegener + Glaser Mephisto Modena (set 3) [hap]
Hegener + Glaser Mephisto Monte Carlo (ver. MC2) [hap]
Hegener + Glaser Mephisto Polgar 10 MHz (v10.1) [hap]
Hegener + Glaser Mephisto Portorose 32 Bit (v1.01) [hap]
Hegener + Glaser Mephisto Rebell 5,0 (set 2) [hap]
Hegener + Glaser Mephisto Super Mondial (ver. AB) [hap]
The Lord of King (bootleg) [hammy, caius]
Master Boy (1987, Z80 hardware, Ichi-Funtel) [Juan Romero, ClawGrip]
Mr. Do! (Fabremar bootleg) [Juan Romero, ClawGrip]
New Fruit Bonus '96 Special Edition (v3.60, DK PCB) [Ioannis Bampoulas]
New Fruit Bonus '96 Special Edition (v3.61, DK PCB) [Ioannis Bampoulas]
New Fruit Bonus '96 Special Edition (v3.61a, C1 PCB) [Ioannis Bampoulas]
New Fruit Bonus '96 Special Edition (v3.61a, DK PCB) [Ioannis Bampoulas]
Olivmandingo (Spanish bootleg of Mandinga on Galaxian hardware) [Juan Romero, ClawGrip]
P-47 Aces (ver 1.1) [Derick2K, rtw, trap15]
Pang (bootleg, set 7) [jordigahan, Pikolo, ClawGrip]
Puzzle & Action: Tant-R (Japan) (bootleg set 4) [jordigahan]
Puzzli (revision A) [SpinalFeyd]
Raiden II (easier, US, prototype? 11-16) [neSneSgB]
Rampart (Joystick, smaller ROMs) [Juan Romero, ClawGrip]
Ribbit! (Japan) [Apocalypse]
Saitek / Tasc Kasparov RISC 2500 (v1.03) [hap]
Seicross (set 2) [Zab, The Dumping Union]
Sirio II (Calfesa S.L. Spanish Moon Cresta bootleg, set 2) [Juan Romero, ClawGrip]
Space Pilot (set 2) [chaneman]
Street Fighter II: The World Warrior (USA 920312) [Lions3]
SWTPC swtpc S/09 OS9 [68bit]
Tasc ChessSystem R30 (Gideon 2.1, prototype) [hap]
Tasc ChessSystem R30 (The King 2.20) [hap]
Tasc ChessSystem R30 (The King 2.23, unreleased) [hap]
Teenage Mutant Ninja Turtles (US 4 Players, version N) [coolmod, The Dumping Union]
Three Ds - Three Dealers Casino House (set 2) [Patrik Styrnell]
Time Killers (v1.00) [Brian Troha, The Dumping Union]
Triumph-Adler Alphatronic P10 [rfka01]
Triumph-Adler Alphatronic P50 [rfka01, Carl]
Viper Phase 1 (New Version, Portugal) [Jorge Silva]


Machines promoted to working
----------------------------
Care Bears TV Games (JAKKS Pacific TV Game, Game-Key Ready) [Ryan Holtz]
Gimix 6809 System [68bit]
MIPS Magnum R4000 (be) [Patrick Mackinlay]
Simba / V-Tac Technology Co Ltd. TV Sports 10-in-1 / Decathlon Athletic Sport Games [David Haywood]
Winnie the Pooh - Piglet's Special Day (JAKKS Pacific TV Game, Game-Key Ready) [Ryan Holtz, Sean Riddle, David Haywood]


Clones promoted to working
--------------------------
Witch Card (ICP-1) [Ivan Vangelista]


New machines marked as NOT_WORKING
----------------------------------
3 Cards Poker 96 (V1.6) [Ioannis Bampoulas]
Advance Bright Ltd Guitar Fever (2007.07.03 Ver 2.7) [TeamEurope, Peter Wilhelmsen, David Haywood]
Advance Bright Ltd. Wikid Joystick [TeamEurope, David Haywood]
Alcatel / Telefonica TeleTUP [Juan Romero, ClawGrip]
Alcatel / Telefonica TRMA VIA [Juan Romero, ClawGrip]
Ampex 230 plus Terminal (v4.0) [Bitsavers]
Applied Microelectronics Institute/The Weather Channel WeatherSTAR 4000 [R. Belmont, Techknight]
Atari Flashback Mini 7800 [Sean Riddle, GameHistory.org]
AtGames / Sega Reactor MD (PAL) [TeamEurope, David Haywood]
Bandai Multi Game Player Gamepad [Sean Riddle, GameHistory.org]
Basic Fun The Oregon Trail [anonymous]
Big Buck Hunter Safari (JAKKS Pacific TV Game) [Sean Riddle, David Haywood]
Cadaco Buzztime Home Trivia System [Sean Riddle]
Casio ROM Pack Software List holder [David Haywood, ClawGrip]
Cefa Toys Super Quique / Mega Duck (Spain) [Sean Riddle, ClawGrip]
City Patrolman [unknown]
CompuData Tulip System I [rfka01, nIGHTFALL crew, Dirk Best]
Digital Pocket Hand Held System Model: 8630 - 230-in-1 [Peter Wilhelmsen, David Haywood]
dreamGEAR My Arcade Retro Arcade Machine - 300 Handheld Video Games (DGUN-2593) [TeamEurope, David Haywood]
Duck Commander (JAKKS Pacific TV Game) [Sean Riddle, David Haywood]
Epoch / SSD Company LTD Excite Sports Tennis x Fitness (Japan) [Sean Riddle, Peter Wilhelmsen, ShouTime]
Formula 1 [PinMAME]
Gegege no Kitaro Yokai Yokocho Matsuri De Batoru Ja (GYM1 Ver.A) [Porchy, SpinalFeyd]
Ice Mania [PinMAME]
Imaginarium / ItsMagical Karao Kids Songs 2 (Spain) [Sean Riddle, ClawGrip]
JAKKS Pacific Inc / Code Mystics TV Touch Games: Spider-Man in Villain Round-Up [Sean Riddle, David Haywood, Ryan Holtz]
JAKKS Pacific Inc / Code Mystics TV Touch Games: Star Wars Original Trilogy [Sean Riddle, David Haywood]
JAKKS Pacific Inc DreamWorks Dragons Hero Portal [Sean Riddle, David Haywood]
Keroro Gunso Chikyu Shinryaku Shirei Dearimasu! (KRG1 Ver.A) [Porchy, SpinalFeyd]
Konami Endeavour BIOS [R. Belmont]
Lexibook Compact Cyber Arcade - Disney Princess [TeamEurope, David Haywood]
Lexibook Retro TV Game Console - 300 Games [TeamEurope, David Haywood]
MGT Fitness Konsole (NC1470) [TeamEurope]
Mini Arcade Machine (Red5) [TeamEurope, David Haywood]
Orb Retro Arcade Game Controller 153-in-1 [Peter Wilhelmsen, David Haywood]
Rapid Fire 5 (Konami Endeavour, NSW) [Heihachi_73]
Roland D-50 Linear Synthesizer (Ver. 2.xx) [DBWBP, depblue]
Senario Guitar Star [Sean Riddle, David Haywood, Ryan Holtz]
Star Wars Clone Trooper (JAKKS Pacific TV Game) [Sean Riddle, David Haywood]
STM Electronics Pied Piper Communicator 1 [Adrian Graham]
Super Roller (v7.0) [hammy]
Super Shanghai 2001 [Ioannis Bampoulas]
Symbol PDT 3100 (v1.10-00) [ArcadeHacker, ClawGrip]
Tomy / SSD Company LTD Nihon Isshuu - Boku wa Plarail Untenshi (Japan) [Sean Riddle, Peter Wilhelmsen, David Haywood, ShouTime]
Toy Story - Toys on the Move (JAKKS Pacific TV Motion Game) [Sean Riddle, David Haywood]
Triumph-Adler alphatronic PC-16 [Carl, rfka01]
VTech MobiGo [Sean Riddle, ClawGrip]
VTech MobiGo 2 (Germany) [TeamEurope]
Waixing Megapad 31-in-1 [Sean Riddle, GameHistory.org]
The Walking Dead: Battleground (JAKKS Pacific TV Game) [Sean Riddle, David Haywood]
The Walking Dead: Zombie Hunter (JAKKS Pacific TV Game) [Sean Riddle]
WinFun / KidConnection SmarTV Adventures [Sean Riddle, David Haywood]


New clones marked as NOT_WORKING
--------------------------------
3 Cards Poker 96 (V1.0) [Ioannis Bampoulas]
Cherry Angel (set 2) [Ioannis Bampoulas]
Club Kart: European Session (2003, prototype, set 2) [coolmod, MetalliC]
Ferrari F355 Challenge (private show version) [coolmod]
Roland D-50 Linear Synthesizer (Ver. 1.xx) [DBWBP]
Roland D-550 Linear Synthesizer [DBWBP]
Sanyo MBC-16LT [rfka01]
Sirio II (Calfesa S.L. Spanish Moon Cresta bootleg, set 1) [Juan Romero, ClawGrip]
Time Crisis 4 (Japan, TSF1001-NA-A) [Guru]
Victor V286C [rfka01]


New working software list additions
-----------------------------------
altos8600: Altos Diagnostic Executive [Robbbert]
apple2_flop_clcracked:
  Algebra Volume 6 (Version 1.0) (cleanly cracked), Alkemstone (cleanly cracked), Building Perspective (cleanly cracked),
  The Dragon's Eye (cleanly cracked), Fraktured Faebles (cleanly cracked), Generic Computer Games (cleanly cracked),
  Gruds in Space (cleanly cracked), Other-Venture #3: The Escape from Traam (cleanly cracked), Pick The Part (cleanly cracked),
  Ulysses and the Golden Fleece (Version 1.1) (cleanly cracked), World Atlas Action: Geography Facts (cleanly cracked)
  [4am, Firehawke]
apple2_flop_orig:
  221B Baker Street (Version 1.1), Adventure Programming Kit (Versoin 10.84), Alter Ego (female version), Alter Ego (male version),
  The Dallas Quest, The Dragon's Eye, Expedition Amazon, Garfield Trivia Game, Generic Computer Games, Legacy of the Ancients,
  Manhunter: New York (Version 1.0I), MasterType (Version 2.1), Micro Cookbook (Version 3.00), Miner 2049er II, Ming's Challenge,
  The Serpent's Star (Version 1.0), Spectrum: Programs and Patterns, Summer Games II, Time Zone (Version 1.1), The Tracer Sanction,
  Transylvania (1985 Version), Treasure Island, Tumble Bugs [4am, Firehawke]
applix: Boot disk [Robbbert]
aussiebyte: Boot disk [Robbbert]
buzztime_cart:
  Series 1 - Everything Trivia, Series 1 - History Trivia, Series 1 - Sports Trivia, Series 1 - TV Trivia
  [Sean Riddle, David Haywood]
c64_cass:
  The CF Power Pack Tape 6, The CF Power Pack Tape 9, Dan Dare - Pilot of the Future, Excaliba, Postman Pat 2, Saracen [FakeShemp]
  INPUT 64 1/85, INPUT 64 1/86, INPUT 64 1/87, INPUT 64 10/86, INPUT 64 11/85, INPUT 64 11/86, INPUT 64 12/85, INPUT 64 12/86,
  INPUT 64 2/85, INPUT 64 2/86, INPUT 64 2/87, INPUT 64 3/85, INPUT 64 3/86, INPUT 64 3/87, INPUT 64 4/85, INPUT 64 4/86,
  INPUT 64 4/87, INPUT 64 5/85, INPUT 64 5/86, INPUT 64 5/87, INPUT 64 6/85, INPUT 64 6/86, INPUT 64 6/87, INPUT 64 7/85,
  INPUT 64 7/86, INPUT 64 7/87, INPUT 64 8/85, INPUT 64 8/86, INPUT 64 8/87, INPUT 64 9/85, INPUT 64 9/86 [pagetable, FakeShemp]
c64_flop_orig:
  INPUT 64 1/87, INPUT 64 1/88, INPUT 64 10/86, INPUT 64 10/87, INPUT 64 10/88, INPUT 64 11/86, INPUT 64 11/87, INPUT 64 11/88,
  INPUT 64 12/86, INPUT 64 12/87, INPUT 64 12/88, INPUT 64 2/87, INPUT 64 2/88, INPUT 64 3/87, INPUT 64 3/88, INPUT 64 4/87,
  INPUT 64 4/88, INPUT 64 5/87, INPUT 64 5/88, INPUT 64 6/87, INPUT 64 6/88, INPUT 64 7/87, INPUT 64 7/88, INPUT 64 8/87,
  INPUT 64 8/88, INPUT 64 9/87, INPUT 64 9/88 [pagetable, FakeShemp]
fmtowns_cd:
  Cyber Sculpt V1.0 (HMC-140A), Mahjong Bishoujoden Ripple, Microcosm (HMD-215), Secre Volume I - Naoko Iijima [redump.org, r09]
gamegear: Sonic The Hedgehog 2 (World, final prototype 19920925) [drx, FakeShemp]
hp86_rom:
  Advanced programming 1 ROM, Advanced programming 2 ROM, Assembler ROM, Extended Mass Storage ROM, I/O ROM, Language ROM,
  Matrix 1 ROM, Matrix 2 ROM, MIKSAM ROM, Printer/plotter ROM [F.Ulivi]
ibm5150:
  Magic Pockets [ArcadeShadow]
  Domino 1.0 [FakeShemp]
ibm5170:
  Cannon Fodder 2, Epic Pinball (shareware version - Mr. Disk release), Epic Pinball: Crash and Burn, Epic Pinball: Cyborgirl,
  Epic Pinball: Enigma [ArcadeShadow]
  Tagplusguiden - Vinter-Varen 1998 [FakeShemp]
jakks_gamekey_nm: Pac-Man & Bosconian (01 APR 2005 A SKU G) [Sean Riddle, Ryan Holtz, David Haywood]
jazz:
  Windows NT Workstation Version 3.5, Windows NT Workstation Version 3.51, Windows NT Workstation Version 4.0 Service Pack 1
  [Patrick Mackinlay]
lynx: Weltenschlaechter [anonymous]
megadriv: Sonic the Hedgehog 2 (World, final prototype 19921102), Sonic the Hedgehog 3 (World, prototype 19931103) [drx, FakeShemp]
nes: English Pyramid (Pirate) [Gaming Alexandria]
odyssey2:
  Death Race (Euro) [anonymous]
  Death Race (USA) [SSJ, TeamEurope]
sbrain: Boot disk [Robbbert]
sdk85: Mastermind [AJR]
spectrum_cass:
  Load'N'Run (Spain) (Especial) [Manu128k]
  Load'N'Run (Spain) (Issue 00), Load'N'Run (Spain) (Issue 01), Load'N'Run (Spain) (Issue 02), Load'N'Run (Spain) (Issue 03),
  Load'N'Run (Spain) (Issue 04), Load'N'Run (Spain) (Issue 05), Load'N'Run (Spain) (Issue 06), Load'N'Run (Spain) (Issue 07),
  Load'N'Run (Spain) (Issue 08), Load'N'Run (Spain) (Issue 09), Load'N'Run (Spain) (Issue 10), Load'N'Run (Spain) (Issue 11),
  Load'N'Run 2a epoca (Spain) (Issue 00), Load'N'Run 2a epoca (Spain) (Issue 01), Load'N'Run 2a epoca (Spain) (Issue 02),
  Load'N'Run 2a epoca (Spain) (Issue 03), Load'N'Run 2a epoca (Spain) (Issue 04), Load'N'Run 2a epoca (Spain) (Issue 05),
  Load'N'Run 2a epoca (Spain) (Issue 06), Load'N'Run 2a epoca (Spain) (Issue 07), Load'N'Run 2a epoca (Spain) (Issue 08)
  [SPA2, RetroLEL, Jander, ICEknight]
uzebox:
  Final Blood, Frog Feast, Laser Puzzle, Laser Puzzle II, Melli's RetroLand, Reels of Fortune, Uzebox Tactics, Uzi Wars [uzebox.org]


Software list items promoted to working
---------------------------------------
fmtowns_cd:
  King's Quest V - Absence Makes the Heart Go Yonder, Kyuukyoku Tiger, Mixed-Up Mother Goose, Panzer Division - Kikou Shidan,
  Taito Chase H.Q. (Demo), The Case of the Cautious Condor [Barry Rodewald, Carl, r09]
  Life & Death [redump.org, Barry Rodewald, Carl, r09]
pc98: Mahjong Gokuu Tenjiku, Mahjong Taikai [Angelo Salese]


New NOT_WORKING software list additions
---------------------------------------
casio_rompack:
  How to Play your Casio ROM Keyboard (RO-251) [Sean Riddle, avlixa, ClawGrip]
  World Songs (RO-551) [Sean Riddle]
fmtowns_cd: Doki Doki Vacation - Kirameku Kisetsu no Naka de, Para Para Paradise [redump.org, r09]
ique:
  Dongwu Senlin (version 8), F-Zero X Weilai Saiche (manual, version 2), F-Zero X Weilai Saiche (manual, version 4),
  F-Zero X Weilai Saiche (trailer), F-Zero X Weilai Saiche (version 3), iQue Club (version 1), iQue Club (version 2),
  iQue Club (version 3), Maliou Kadingche (manual, version 2), Maliou Kadingche (manual, version 6), Maliou Kadingche (trailer),
  Maliou Kadingche (version 4), Maliou Kadingche (version 5), Maliou Yisheng (manual, version 2),
  Maliou Yisheng (manual, version 4), Maliou Yisheng (trailer), Maliou Yisheng (version 4),
  Rentiantang Mingxing Da Luan Dou (manual, version 1), Rentiantang Mingxing Da Luan Dou (version 5),
  Shui Shang Motuo (manual, version 2), Shui Shang Motuo (manual, version 4), Shui Shang Motuo (trailer, version 1),
  Shui Shang Motuo (trailer, version 2), Shui Shang Matuo (version 4), Shen You Maliou (manual, version 2),
  Shen You Maliou (manual, version 6), Shen You Maliou (trailer, version 1), Shen You Maliou (trailer, version 2),
  Shen You Maliou (version 4), Saierda Chuanshuo: Shiguang zhi Di (manual, version 2),
  Saierda Chuanshuo: Shiguang zhi Di (manual, version 4), Saierda Chuanshuo: Shiguang zhi Di (trailer),
  Saierda Chuanshuo: Shiguang zhi Di (version 1), Saierda Chuanshuo: Shiguang zhi Di (version 4) [FakeShemp]
leapster: The Disney-Pixar Collection (USA), Letterpillar (v1.0, USA) [TeamEurope]
mobigo_cart:
  Ben 10 - UltimateAlien - Mine der Gedanken (Germany) (80-250604), Cars 2 (Germany) (80-251904), Chuggington (Germany) (80-251804),
  Cars Toon - Hooks unglaubliche Geschichten (Germany) (80-251204), Disney Princess (Germany) (80-251104),
  Dora - Tag des Zwillings (Germany) (80-250804), Fuer immer Shrek (Germany) (80-250004), Kung Fu Panda 2 (Germany) (80-252004),
  Micky Maus - Wunderhaus (Germany) (80-250504), Mobigo Kiosk (Germany),
  Die Pinguine aus Madagascar - Operation Krone (Germany) (80-250304), Rapunzel - Neu Verfoehnt (Germany) (80-251704),
  Team Umizoomi - Die grosse Umiauto Rettung (Germany) (80-252504), Toy Story 3 (Germany) (80-250104) [TeamEurope]
  Mickey Mouse, Tangled, Toy Story 3 [Sean Riddle]
n64:
  Aidyn Chronicles - The First Mage (USA, prototype 20000210), Aidyn Chronicles - The First Mage (USA, prototype 20000509),
  Cruis'n World (Europe), Die Hard 64 (prototype 20000315, set 1), Die Hard 64 (prototype 20000315, set 2),
  Die Hard 64 (prototype 20000315, set 3), Dragon Sword (prototype), Duke Nukem - Zero Hour (USA, final prototype),
  ECW Hardcore Revolution (Germany), Frogger 2 (USA, prototype, "Milestone 4"), GT64 - Championship Edition (prototype 19980525),
  International Superstar Soccer 2000 (USA, rev 1), Madden NFL 99 (USA, prototype 19980805, "Beta 10 NTSC"),
  Madden NFL 99 (USA, rev 1), Mario Kart 64 (USA, set 2), Mission: Impossible (Spain, rev 1),
  Mortal Kombat Trilogy (prototype 19960513), NBA Hangtime (USA, set 2), Robotech: Crystal Dreams (USA, prototype, earlier),
  SpaceStation Silicon Valley (USA, rev 1), Top Gear Hyper-Bike (prototype), Top Gear Rally (Asia),
  Top Gear Rally 2 (prototype 19990831), Turok 3 - Shadow of Oblivion (Europe, prototype 20000606), Wipeout 64 (prototype)
  [FakeShemp]
pi_storyreader_cart:
  Scooby Doo - Miniature Golf Mystery / Museum Mystery / Haunted Theater [Porchy]
  Barney: Barney Cares / Best Manners Show / Let's Work Together, Blue's Perfect Picnic Spot, Disney No Rumbly In Pooh's Tumbly,
  Disney Pooh Windy Day, Disney Princess: Jasmine / Mulan / Pocahontas,
  Disney Princess: The Little Mermaid / Snow White / Beauty and the Beast, Disney's Bambi / Lady and the Tramp / Peter Pan,
  Disney's Pinocchio / Disney/Pixar Toy Story 2 / The Jungle Book, Disney's The Lion King, Disney's The Little Mermaid,
  Disney/Pixar Cars / The Incredibles / Monsters Inc., Disney/Pixar Finding Nemo,
  Dora the Explorer: Dora's Garden Adventure / The Gingerbread Boy / Dora's Art Adventure, Dora's Garden Adventure, Noah's Ark,
  Petter Rabbit / Jemima Puddle-Duck / Tom Kitten, Scooby-Doo! Miniature Golf Mistery,
  Sesame Street: Elmo's Colorful Adventure / Grover Stays Up Very Very Late / Me Loves Cookies,
  Spongebob Squarepants Grand Price Winner!,
  Spongebob Squarepants Grand Price Winner! / Dora's Garden Adventure / Blue's Perfect Picnic Spot,
  Thomas & Friends: Cheer up Cranky! / The Big Race / Carnival Capers [Sean Riddle, ClawGrip]
  Cars (Germany), Das Dschungelbuch (Germany), Findet Nemo (Germany), Der Koenig der Loewen (Germany), Peter Pan (Germany),
  Winnie Puuh - Ein stuermischer Tag (Germany), Winnie Puuh hat keinen Hunger (Germany) [TeamEurope]
sdk85: AP-29 Serial I/O Routines [AJR]
smarttv_cart: Amusement Park [Sean Riddle, David Haywood]
telestory_cart:
  Dora the Explorer - En la feria ambulante / Dora va a la escuela (Spanish),
  Power Rangers Mystic Force - Code Busters / Whispering Voices (UK / USA?) [TeamEurope, David Haywood]
  Cinderella - Cinderella / Beauties in Bloom (USA), Dora the Explorer - At the Carnival / Dora Goes to School (USA),
  The Lion King - The Lion King / The Lion King II - Simba's Pride (USA),
  SpongeBob SquarePants - Ice-Cream Dreams / Stop the Presses! (USA),
  Winnie the Pooh - Bounce Tigger Bounce / Pooh's Honey Tree (USA) [Sean Riddle, TeamEurope]
  Thomas & Friends - Thomas Visits the Toy Shop / Thomas' Milkshake Mix [Sean Riddle, ClawGrip]


Source Changes
--------------
- formats/wd177x_dsk.cpp: Allowed derived classes to override the format per track/head [68bit].
- formats/flex_dsk.cpp: Simplified code, and added support for variants with single-density initial tracks [68bit].
- formats/os9_dsk.cpp: Added support for variants with single-density initial track and base sector zero [68bit].
- floptool: Added OS9 disk format [68bit].
- bus/ss50: Added MFI, OS9 and UniFLEX formats to DC5 floppy drive controller [68bit] 
- gimix.cpp updates:
  * Connected interrupts, removed timed interrupt hack, and added two additional floppy drivers.
  * Added disassembly override for OS9 system calls.
  * Added OS9 Level 1 version 1.2 BIOS option [68bit].
- tti.cpp: Made the two firmware revisions BIOS options [AJR].
- sdk85.cpp improvements:
  * Made second 8355 into a ROM expansion slot that can load custom 8755 programs.
  * Added optional TTY interface.
  * Added vectored interrupt and soft reset buttons.
  * Improved accuracy of button labels and changed default key mappings [AJR].
- jaguar: Eliminated unsafe raw memory pointer use from blitter (fixes several exceptions, including tempst2k) [AJR].
- i8155.cpp: Made timer more efficient by not counting each cycle [AJR].
- bus/a2bus: Added 8251-based RS-232 serial interface described in BYTE magazine [AJR].
- Added disassemblers for NEC 78K/0, 78K/I, 78K/II and 78K/III microcontrollers [AJR].
- naomi.cpp: Made "Gun Sense" board used by hotd2 a separate device [AJR].
- wd_fdc.cpp updates:
  * Predicate command completion interrupt on busy flag having been set.
  * Increased HLD idle timeout to fifteen revolutions for variants other than FD1771 and FD1781 [AJR].
- i8279.cpp updates:
  * Removed timing hack, ensuring SL3 is output (required by Pied Piper Communicator 1).
  * Corrected keyboard scan rate and logging thereof [AJR].
- goodejan.cpp updates:
  * Corrected OKI M6295 pin 7 level to high (fixes voice pitches).
  * Added difficulty DIP switches
  * Converted to raw screen timing parameters [Angelo Salese].
- toki.cpp: Converted screen refresh rate to raw timing parameters [Angelo Salese].
- ddenlovr.cpp: Added coin counters and corrected metadata for all games [Angelo Salese].
- subsino2.cpp: Fixed missing ron button [Angelo Salese].
- Synchronized with upstream GENie (addresses GitHub #6248) [Belegdol].
- armedf.cpp updates:
  * Converted to use single-pass priority drawing for sprites.
  * Fixed I/O writes for systems without NB1414M4.
  * Cleaned up code, memory maps, ROM loading and graphics decoding, and expanded comments [cam900].
- twin16.cpp: Restrict sprite drawing to clipping rectangle [cam900].
- sound/vrc6.cpp, sound/ym2413.cpp: Changed descriptions to match chip markings/part numbers [cam900].
- sound/msm5205.cpp updates:
  * Added support for MSM5205 10-bit DAC.
  * Derive timing and sample rate from input clock
  * Updated notes [cam900].
- video/stvvdp1.cpp: Fixed Gouraud shading flag test [cam900].
- vgmplay.cpp: Fixed YMF262 register mapping and YMF278B volume [cam900].
- sound/ymf262.cpp: Added support for variants with different clock dividers [cam900] 
- sound/ymf278b.cpp: Fixed FM output rate and clock divider, fixed mixing behavior, and expanded notes [cam900].
- sound/ymf271.cpp: Corrected envelope release time [cam900].
- bus/isa/gus.cpp: Calculate GF1 sample rate from input clock [cam900].
- ics2115.cpp: Calculate sample rate from input clock [cam900].
- video/deco16ic.cpp: Fixed of-by-one clipping in tilemap drawing [cam900].
- boogwing.cpp: Improved blending, priority drawing and palette effects [cam900].
- video/deco_ace.cpp: Use fixed-point palette fade calculation [cam900].
- gstream.cpp: Implemented per-frame sprite limit [cam900].
- cpu/z80: Added skeleton LZ8420M device (Z80 with internal RAM and additional I/O) [cam900].
- psikyo.cpp: Derived gunbird clocks from crystal values [cam900].
- Netlist library updates:
  * Fixed issue separating nets into independent groups for four-terminal devices without external feedback loops.
  * Added current-controlled voltage source (CCVS).
  * Improved SPICE format conversion - official TI uA741 model can now be converted without errors.
  * Added support for evaluating expressions in parameters when netlist is created.
  * Added support for potentiometers to SPICE format conversion [Couriersud].
- sound/mm5837.cpp: Measured frequency versus supply voltage [Couriersud].
- cpu/ks0164: Added preliminary Samsung KS0164 disassembler [David Carne, O. Galibert].
- machine/spg2xx_video.cpp: Removed row scroll offset hack. Problematic cases where different games in multi-game systems required different values are fixed [David Haywood].
- nes_vt.cpp: Untangled from NES state class and NES controller bus [David Haywood].
- cpu/spc700: Fixed TCLR1 and TSET1 operations, and removed page-crossing penalty on Y-relative accesses [David Viens].
- mjsister.cpp, xyonics.cpp: Hooked up 6845 CRT controllers and added raw screen timing parameters [Dirk Best].
- machine/mc6844.cpp: Added preliminary MC6855 DMA controller device, based on implementations in drivers [Edstrom].
- machine/mc6854.cpp: Added support for external clocks and DMA mode [Edstrom].
- Added Alfaskop 4110 keyboard emulation [Edstrom].
- cpu/jaguar: Fixed disassembly of movei instruction (GitHub #6314) [ElectronAsh].
- Changed alternate versions of ChessSystem R30, Kasparov RISC and various Mephisto chess computers from BIOS options to clones [hap].
- machine/spg2xx_audio.cpp: Added preliminary ADPCM36 decoding - significantly improves pballpup [Lord Nightmare, Ryan Holtz].
- roland_d50.cpp: Added additional ROM versions to d50, d50a and d550 as BIOS options. Also added chip labels and locations, PCB notes, and version strings [Lord Nightmare, anonymous, Erik Gavriluk].
- video/k052109.cpp Fixed and cleaned up tilemap scroll effects (fixes fuusenpn and MT6790) [MetalliC].
- bus/ti99: Added VRAM size option to Enhanced Video Processor card [Michael Zapf].
- machine/sunplus_gcm394.cpp: Re-worked some of the DMA and NAND Flash handling so that jak_tsm loads more code [N. Gilbert].
- cpu/xavix2: Added preliminary Xavix 2 CPU emulation and disassembler [O. Galibert, N. Gilbert].
- cpu/romp: Added preliminary IBM Research/Office Products Division Microprocessor (ROMP) device [Patrick Mackinlay].
- konendev.cpp: Hooked up H8/3007 "IFU" CPU [R. Belmont].
- Added a tip on how to enter the debugger to the online documentation [R. Belmont].
- cpu/m68000: Allow RTE instruction to unwind 68010 bus error (type 1000) stack frames [R. Belmont].
- bus/nubus: Fixed macse30 Sigma Designs L-View SE/30 PDS card [R. Belmont].
- apple2.cpp, apple2e.cpp, apple2gs.cpp: Exposed CFFF accesses to slot cards [R. Belmont].
- bus/a2bus: Added support for Applesurance floppy drive controller card [R. Belmont, DiskBlitz].
- video/apple2.cpp: Improved monochrome-mode drawing in lores, hires and double lores modes. Gives correct NTSC color with -video bgfx, effect hlsl, NTSC on, NTSC A and B to 0, scanline length to 39.1uS [R. Belmont].
- uzebox.cpp: Use filename extension to detect UZE format, as some early games lack the identification string [Robbbert].
- iris3130.cpp: Modernized logging, added preliminary MMU support, and added ROM board support [Ryan Holtz].
- machine/6840ptm.cpp: Made logging more configurable [Ryan Holtz, Phil Bennett].
- machine/i8214.cpp: Improved interrupt level check, and added setters for combined B/SGS and R inputs [Ryan Holtz, Phil Bennett] 
- audio/cmi01a.cpp: Derived PTM clocks from /CAS clock - fixes TIM tests in CMITST diagnostics [Ryan Holtz].
- cmi.cpp updates: 
  * Improved interrupt handling - nearly all CMIINT tests pass now.
  * Hooked up peripherals and MIDI ports on the SMPTE/MIDI board.
  * Mapped handlers for the TVT second display board.
  * Adjusted video board PTM clocks to be based on /CAS clock - fixes TIM tests in LGTST diagnostics.
  * Adjusted master card PTM clock to be based on /CAS clock - fixes TIM tests in MAST diagnostics.
  * Hooked up AIC interrupt - all interrupt tests now pass [Ryan Holtz].
- machine/spg2xx_audio.cpp updates:
  * Fixed off-by-one error on Beat Count timer - fixes timing in icanpian, and in shredmjr to some extent.
  * Hooked up channel FIQ.
  * Hooked up software wave-in channel (used by jak_care for voices) [Ryan Holtz].
- cpu/unsp: Implemented MULS and FIR_MOV operations [Ryan Holtz, N. Gilbert, smf] 
- audio/elan_eu3a05.cpp: Added OKI ADPCM decoding [Ryan Holtz].
- 1942.cpp: Fixed sprite priorities, implemented sprite line buffering, fixed logo on title screen, and improved interrupt timing [Ryan Holtz, David Haywood, smf, O. Galibert].
- machine/spg2xx_io.cpp: Added watchdog timer support and rudimentary SPI support [Ryan Holtz].
- machine/i2cmem.cpp: Added 24C04 device [Ryan Holtz].
- Split spg2xx_jakks.cpp into separate files for plain, game-key and touch variants [Ryan Holtz].
- spg2xx_jakks.cpp Hooked up jak_batm I2C EEPROM - enables saving [Ryan Holtz].
- atarittl.cpp: Fixed various errors in stuntcyc netlist [Ryan Holtz].
- machine/315-6154.cpp: Converted to real PCI host device, and updated NAOMI DIMM board accordingly [Samuele Zannoli].
- superga2.cpp: Fixed player 2 inputs for kuzmich [xotmatrix].
- atarigx2.cpp: Corrected program ROM labels for motofren [Brian Troha].
- tsamurai.cpp: Corrected ROM labels for the Ring Fighter sets and added PCB locations to them [Brian Troha].
- snk.cpp: Corrected ROM labels for fitegolfu [Brian Troha].
- midzeus.cpp: Decapped PIC microcontroller for thegrid [Caps0ff].
- sdk80.cpp: Replaced monitor program with corrected version (GitHub #6324) [Colin Douglas Howell, Robbbert].
- isbc8010.cpp: Corrected an OCR issue in monitor ROM that prevented M command from working [Colin Douglas Howell, Robbbert].
- naomi.cpp: Dumped Sega Atomiswave BIOS [CoolFox, MetalliC].
- model3.cpp: Re-dumped ecap ROMs [coolmod, MetalliC].
- vsmile_cart.xml: Added some French releases to the list of undumped cartridges [DisizDream].
- n64.xml: Added a lot more PCB documentation, and replaced bad dumps with re-dumps [FakeShemp].
- esq5505.cpp: Added PCB layout for SQ-2 [Guru].
- stadhero.cpp: Added PCB layout [Guru].
- psikyo.cpp: Measured some frequencies for s1945, including horizontal and vertical video sync [Guru].
- konendev.cpp: Mapped additional inputs, expanded documentation, and cleaned up code [Heihachi_73].
- bloodbro_ms.cpp: Dumped some of the PROMs and PLDs for bloodbrom [jordigahan, ClawGrip].
- gameboy.xml, nes.xml, snes.xml: Corrected some metadata and added some parent/clone relationships [quasiscroto].
- fmtowns_cd.xml: Re-tested software, and updated metadata and notes. [r09]
- fmtowns_cd.xml: Switched to dumps with proper track indexes and offset correction. 3x3eyes, 4dboxing, branmark, chasehq, fsc4, fsc5, libido7, lifendth, loom, marble, mcosmo, msdet2, mspectre, nadia, nova, raiden, rance4, srmp23, srmp4, ssf2, tnzs, vaindrem, vaindrm2, yojusenk, yumimimx [redump.org, r09].
- ssv.cpp: Identified ROM boards for Monster Slider, Super Real Mahjong P7 and Gourmet Battle Quiz Ryorioh CooKing [twistedsymphony].